version: 1.7.0-rc.3
files:
  - url: Cherry-Studio-1.7.0-rc.3-x64.zip
    sha512: xSir+vmwByeiD8XElUV0j2YCCah1O9rsRuZFg+7R3JVyg/eVjSL+BHVEuvQ+799MmxqH7CPHHxo5sP9tu/7eog==
    size: 163124501
  - url: Cherry-Studio-1.7.0-rc.3-arm64.zip
    sha512: sjWrEvTqAkgfyjEKb2PavNcylEx0pDpf73Hh2mSNpjsbF03cYOSgxWzRHADsjLutGkNDpEM1IVKWnYJUm/A0Tw==
    size: 154844592
  - url: Cherry-Studio-1.7.0-rc.3-x64.dmg
    sha512: w2TR2pDcMFPlNxljDO1Go2aAU+SZXJa6RMdXa2+POMkfEfb/E9URTkvYl6N1lmjE+bkMikB1p1LqloXAhDUe7A==
    size: 169172494
  - url: Cherry-Studio-1.7.0-rc.3-arm64.dmg
    sha512: IptFbGCDsol7jeRix4J3SjXicZ0nz4wpaJKfmWSUKXEWrIIKrSqAzB8EwGCkqjBiy79TscwYTaYo2Ipi8U8+nQ==
    size: 160806353
path: Cherry-Studio-1.7.0-rc.3-x64.zip
sha512: xSir+vmwByeiD8XElUV0j2YCCah1O9rsRuZFg+7R3JVyg/eVjSL+BHVEuvQ+799MmxqH7CPHHxo5sP9tu/7eog==
releaseNotes: |
  <!--LANG:en-->
  What's New in v1.7.0-rc.3

  ✨ New Features:
  - Provider: Added Silicon provider support for Anthropic API compatibility
  - Provider: AIHubMix support for nano banana

  🐛 Bug Fixes:
  - i18n: Clean up translation tags and untranslated strings
  - Provider: Fixed Silicon provider code list
  - Provider: Fixed Poe API reasoning parameters for GPT-5 and reasoning models
  - Provider: Fixed duplicate /v1 in Anthropic API endpoints
  - Provider: Fixed Azure provider handling in AI SDK integration
  - Models: Added Claude Opus 4.5 pattern to THINKING_TOKEN_MAP
  - Models: Improved Gemini reasoning and message handling
  - Models: Fixed custom parameters for Gemini models
  - Models: Fixed qwen-mt-flash text delta support
  - Models: Fixed Groq verbosity setting
  - UI: Fixed quota display and quota tips
  - UI: Fixed web search button condition
  - Settings: Fixed updateAssistantPreset reducer to properly update preset
  - Settings: Respect enableMaxTokens setting when maxTokens is not configured
  - SDK: Fixed header merging logic in AI SDK

  ⚡ Improvements:
  - SDK: Upgraded @anthropic-ai/claude-agent-sdk to 0.1.53

  <!--LANG:zh-CN-->
  v1.7.0-rc.3 更新内容

  ✨ 新功能:
  - 提供商：新增 Silicon 提供商对 Anthropic API 的兼容性支持
  - 提供商：AIHubMix 支持 nano banana

  🐛 问题修复:
  - 国际化：清理翻译标签和未翻译字符串
  - 提供商：修复 Silicon 提供商代码列表
  - 提供商：修复 Poe API 对 GPT-5 和推理模型的推理参数
  - 提供商：修复 Anthropic API 端点重复 /v1 问题
  - 提供商：修复 Azure 提供商在 AI SDK 集成中的处理
  - 模型：Claude Opus 4.5 添加到 THINKING_TOKEN_MAP
  - 模型：改进 Gemini 推理和消息处理
  - 模型：修复 Gemini 模型自定义参数
  - 模型：修复 qwen-mt-flash text delta 支持
  - 模型：修复 Groq verbosity 设置
  - 界面：修复配额显示和配额提示
  - 界面：修复 Web 搜索按钮条件
  - 设置：修复 updateAssistantPreset reducer 正确更新 preset
  - 设置：尊重 enableMaxTokens 设置
  - SDK：修复 AI SDK 中 header 合并逻辑

  ⚡ 改进:
  - SDK：升级 @anthropic-ai/claude-agent-sdk 到 0.1.53
  <!--LANG:END-->
releaseDate: '2025-11-26T13:22:58.052Z'
